#!/usr/bin/env python3

########################################################################################################################
##### INFORMATION ######################################################################################################
### @PROJECT_NAME:		SPLAT: Speech Processing and Linguistic Analysis Tool										 ###
### @VERSION_NUMBER:																								 ###
### @PROJECT_SITE:		github.com/meyersbs/SPLAT																     ###
### @AUTHOR_NAME:		Benjamin S. Meyers																			 ###
### @CONTACT_EMAIL:		ben@splat-library.org																		 ###
### @LICENSE_TYPE:		MIT																							 ###
########################################################################################################################
########################################################################################################################

"""
This package contains the following directories:
	[01] annotation
			A collection of annotation functions.
	[02] base
			The heart of SPLAT, where everything connects together.
	[03] classify
			Coming soon!
	[04] complexity
			A collection of functions for determining syntactic complexity.
	[05] corpus
			A collection of corpora and functions for reading them.
	[06] model
			A collection of language modelling functions.
	[07] parse
			A collection of functions for interfacing with the Berkeley Parser.
	[08] sentenizers
			A collection of functions for breaking text into sentences.
	[09] tag
			A collection of functions for tagging parts-of-speech.
	[10] tokenizers
			A collection of functions for tokenizing text.
"""